<html>
<head>
<title>OgreBillboardParticleRenderer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreBillboardParticleRenderer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreBillboardParticleRenderer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __BillboardParticleRenderer_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __BillboardParticleRenderer_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleSystemRenderer_8h.html">OgreParticleSystemRenderer.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreBillboardSet_8h.html">OgreBillboardSet.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00051"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html">00051</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet.">BillboardParticleRenderer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>
<a name="l00052"></a>00052     {
<a name="l00053"></a>00053     <span class="keyword">protected</span>:
<a name="l00055"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a1ee681870bd8a84070283f245715dd66">00055</a>         <a class="code" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>* <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a1ee681870bd8a84070283f245715dd66" title="The billboard set that&#39;s doing the rendering.">mBillboardSet</a>;
<a name="l00056"></a>00056     <span class="keyword">public</span>:
<a name="l00057"></a>00057         <a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet.">BillboardParticleRenderer</a>();
<a name="l00058"></a>00058         ~<a class="code" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet.">BillboardParticleRenderer</a>();
<a name="l00059"></a>00059 
<a name="l00061"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html">00061</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html" title="Command object for billboard type (see ParamCommand).">CmdBillboardType</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00062"></a>00062         {
<a name="l00063"></a>00063         <span class="keyword">public</span>:
<a name="l00064"></a>00064             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00065"></a>00065             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00066"></a>00066         };
<a name="l00068"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html">00068</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html" title="Command object for billboard origin (see ParamCommand).">CmdBillboardOrigin</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00069"></a>00069         {
<a name="l00070"></a>00070         <span class="keyword">public</span>:
<a name="l00071"></a>00071             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00072"></a>00072             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00073"></a>00073         };
<a name="l00075"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html">00075</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html" title="Command object for billboard rotation type (see ParamCommand).">CmdBillboardRotationType</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00076"></a>00076         {
<a name="l00077"></a>00077         <span class="keyword">public</span>:
<a name="l00078"></a>00078             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00079"></a>00079             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00080"></a>00080         };
<a name="l00082"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html">00082</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html" title="Command object for common direction (see ParamCommand).">CmdCommonDirection</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00083"></a>00083         {
<a name="l00084"></a>00084         <span class="keyword">public</span>:
<a name="l00085"></a>00085             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00086"></a>00086             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00087"></a>00087         };
<a name="l00089"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html">00089</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html" title="Command object for common up-vector (see ParamCommand).">CmdCommonUpVector</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00090"></a>00090         {
<a name="l00091"></a>00091         <span class="keyword">public</span>:
<a name="l00092"></a>00092             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00093"></a>00093             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00094"></a>00094         };
<a name="l00096"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html">00096</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html" title="Command object for point rendering (see ParamCommand).">CmdPointRendering</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00097"></a>00097         {
<a name="l00098"></a>00098         <span class="keyword">public</span>:
<a name="l00099"></a>00099             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00100"></a>00100             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00101"></a>00101         };
<a name="l00103"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html">00103</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html" title="Command object for accurate facing(see ParamCommand).">CmdAccurateFacing</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00104"></a>00104         {
<a name="l00105"></a>00105         <span class="keyword">public</span>:
<a name="l00106"></a>00106             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00107"></a>00107             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00108"></a>00108         };
<a name="l00109"></a>00109 
<a name="l00120"></a>00120         <span class="keywordtype">void</span> setBillboardType(<a class="code" href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c" title="The type of billboard to use.">BillboardType</a> bbt);
<a name="l00121"></a>00121 
<a name="l00123"></a>00123         <a class="code" href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c" title="The type of billboard to use.">BillboardType</a> getBillboardType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00124"></a>00124 
<a name="l00126"></a>00126         <span class="keywordtype">void</span> setUseAccurateFacing(<span class="keywordtype">bool</span> acc);
<a name="l00128"></a>00128         <span class="keywordtype">bool</span> getUseAccurateFacing(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00129"></a>00129 
<a name="l00141"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#aefc6f76117519469b8bc5715966bfe9e">00141</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#aefc6f76117519469b8bc5715966bfe9e" title="Sets the point which acts as the origin point for all billboards in this set.">setBillboardOrigin</a>(<a class="code" href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e" title="Enum covering what exactly a billboard&#39;s position means (center, top-left etc).">BillboardOrigin</a> origin) { mBillboardSet-&gt;setBillboardOrigin(origin); }
<a name="l00142"></a>00142 
<a name="l00147"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a976c74301b89b2d2ff9316986cedd149">00147</a>         <a class="code" href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e" title="Enum covering what exactly a billboard&#39;s position means (center, top-left etc).">BillboardOrigin</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a976c74301b89b2d2ff9316986cedd149" title="Gets the point which acts as the origin point for all billboards in this set.">getBillboardOrigin</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBillboardSet-&gt;getBillboardOrigin(); }
<a name="l00148"></a>00148 
<a name="l00158"></a>00158         <span class="keywordtype">void</span> setBillboardRotationType(<a class="code" href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd" title="The rotation type of billboard.">BillboardRotationType</a> rotationType);
<a name="l00159"></a>00159 
<a name="l00164"></a>00164         <a class="code" href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd" title="The rotation type of billboard.">BillboardRotationType</a> getBillboardRotationType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00165"></a>00165 
<a name="l00173"></a>00173         <span class="keywordtype">void</span> setCommonDirection(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; vec);
<a name="l00174"></a>00174 
<a name="l00176"></a>00176         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getCommonDirection(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00177"></a>00177 
<a name="l00187"></a>00187         <span class="keywordtype">void</span> setCommonUpVector(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; vec);
<a name="l00188"></a>00188 
<a name="l00190"></a>00190         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getCommonUpVector(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00191"></a>00191 
<a name="l00193"></a>00193         <span class="keywordtype">void</span> setPointRenderingEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00194"></a>00194 
<a name="l00196"></a>00196         <span class="keywordtype">bool</span> isPointRenderingEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00197"></a>00197 
<a name="l00198"></a>00198 
<a name="l00199"></a>00199 
<a name="l00201"></a>00201         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00203"></a>00203         <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue, 
<a name="l00204"></a>00204             <a class="code" href="structOgre_1_1list.html">list&lt;Particle*&gt;::type</a>&amp; currentParticles, <span class="keywordtype">bool</span> cullIndividually);
<a name="l00206"></a>00206         <span class="keywordtype">void</span> visitRenderables(<a class="code" href="classOgre_1_1Renderable_1_1Visitor.html" title="Visitor object that can be used to iterate over a collection of Renderable instances abstractly...">Renderable::Visitor</a>* visitor, 
<a name="l00207"></a>00207             <span class="keywordtype">bool</span> debugRenderables = <span class="keyword">false</span>);
<a name="l00209"></a>00209         <span class="keywordtype">void</span> _setMaterial(<a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; mat);
<a name="l00211"></a>00211         <span class="keywordtype">void</span> _notifyCurrentCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00213"></a>00213         <span class="keywordtype">void</span> _notifyParticleRotated(<span class="keywordtype">void</span>);
<a name="l00215"></a>00215         <span class="keywordtype">void</span> _notifyParticleResized(<span class="keywordtype">void</span>);
<a name="l00217"></a>00217         <span class="keywordtype">void</span> _notifyParticleQuota(<span class="keywordtype">size_t</span> quota);
<a name="l00219"></a>00219         <span class="keywordtype">void</span> _notifyAttached(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* parent, <span class="keywordtype">bool</span> isTagPoint = <span class="keyword">false</span>);
<a name="l00221"></a>00221         <span class="keywordtype">void</span> _notifyDefaultDimensions(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height);
<a name="l00223"></a>00223         <span class="keywordtype">void</span> setRenderQueueGroup(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID);
<a name="l00225"></a>00225         <span class="keywordtype">void</span> setKeepParticlesInLocalSpace(<span class="keywordtype">bool</span> keepLocal);
<a name="l00227"></a>00227         <a class="code" href="group__General.html#ga73dc0089e326fa37f93a30bf67ba7e3a" title="Sort mode for billboard-set and particle-system.">SortMode</a> _getSortMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00228"></a>00228 
<a name="l00230"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a54f74153a915180ffcc574150dcd1e46">00230</a>         <a class="code" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>* <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a54f74153a915180ffcc574150dcd1e46" title="Access BillboardSet in use.">getBillboardSet</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBillboardSet; }
<a name="l00231"></a>00231 
<a name="l00232"></a>00232     <span class="keyword">protected</span>:
<a name="l00233"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a111817e7b27856d379a794939a0c221f">00233</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html" title="Command object for billboard type (see ParamCommand).">CmdBillboardType</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a111817e7b27856d379a794939a0c221f">msBillboardTypeCmd</a>;
<a name="l00234"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a3f34e651e2629bbc81e0c4e89ef7d29a">00234</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html" title="Command object for billboard origin (see ParamCommand).">CmdBillboardOrigin</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a3f34e651e2629bbc81e0c4e89ef7d29a">msBillboardOriginCmd</a>;
<a name="l00235"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#ab3fe43c36893481bd6df52b522fce463">00235</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html" title="Command object for billboard rotation type (see ParamCommand).">CmdBillboardRotationType</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#ab3fe43c36893481bd6df52b522fce463">msBillboardRotationTypeCmd</a>;
<a name="l00236"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#acb7ba751151048add4ea93742fae9a37">00236</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html" title="Command object for common direction (see ParamCommand).">CmdCommonDirection</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#acb7ba751151048add4ea93742fae9a37">msCommonDirectionCmd</a>;
<a name="l00237"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#af74992decab85a7ea085ccc0a85e8c96">00237</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html" title="Command object for common up-vector (see ParamCommand).">CmdCommonUpVector</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#af74992decab85a7ea085ccc0a85e8c96">msCommonUpVectorCmd</a>;
<a name="l00238"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a2a3a974e0f0b92d9ab6a3cdda62e43fd">00238</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html" title="Command object for point rendering (see ParamCommand).">CmdPointRendering</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#a2a3a974e0f0b92d9ab6a3cdda62e43fd">msPointRenderingCmd</a>;
<a name="l00239"></a><a class="code" href="classOgre_1_1BillboardParticleRenderer.html#ac192d21617d7dccc382ea48a1174419f">00239</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html" title="Command object for accurate facing(see ParamCommand).">CmdAccurateFacing</a> <a class="code" href="classOgre_1_1BillboardParticleRenderer.html#ac192d21617d7dccc382ea48a1174419f">msAccurateFacingCmd</a>;
<a name="l00240"></a>00240 
<a name="l00241"></a>00241 
<a name="l00242"></a>00242     };
<a name="l00243"></a>00243 
<a name="l00245"></a><a class="code" href="classOgre_1_1BillboardParticleRendererFactory.html">00245</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BillboardParticleRendererFactory.html" title="Factory class for BillboardParticleRenderer.">BillboardParticleRendererFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParticleSystemRendererFactory.html" title="Abstract class definition of a factory object for ParticleSystemRenderer.">ParticleSystemRendererFactory</a>
<a name="l00246"></a>00246     {
<a name="l00247"></a>00247     <span class="keyword">public</span>:
<a name="l00249"></a>00249         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType() <span class="keyword">const</span>;
<a name="l00251"></a>00251         <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* createInstance( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name );    
<a name="l00253"></a>00253         <span class="keywordtype">void</span> destroyInstance( <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* inst);    
<a name="l00254"></a>00254     };
<a name="l00258"></a>00258 }
<a name="l00259"></a>00259 
<a name="l00260"></a>00260 <span class="preprocessor">#endif</span>
<a name="l00261"></a>00261 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
